<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Po_model extends CI_Model
{

    public $table = 'po';
    public $id = 'id_po';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->table.'.'.$this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        return $this->db->get($this->table)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
	    if(is_array($q)){
		    extract($q);
//		    if($dari && $sampai){
//			    $this->db->where($this->table.".tanggal_po BETWEEN '$dari' AND '$sampai'");
//		    }elseif((is_null($dari)== true) && $sampai){
//			    $this->db->where($this->table.".tanggal_po <= '$sampai'");
//		    }elseif($dari && is_null($sampai) == true){
//			    $this->db->where($this->table.".tanggal_po >= '$dari'");
//		    }
	    }
        $this->db->like('id_po', $q);
	$this->db->or_like($this->table.'.no_po', $q);
	$this->db->or_like($this->table.'.id_subcount', $q);
	$this->db->or_like($this->table.'.id_proyek', $q);
	$this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
	    if(is_array($q)){
		    extract($q);
//		    if($dari && $sampai){
//			    $this->db->where($this->table.".tanggal_po BETWEEN '$dari' AND '$sampai'");
//		    }elseif((is_null($dari)== true) && $sampai){
//			    $this->db->where($this->table.".tanggal_po <= '$sampai'");
//		    }elseif($dari && is_null($sampai) == true){
//			    $this->db->where($this->table.".tanggal_po >= '$dari'");
//		    }
	    }
        $this->db->order_by($this->table.'.'.$this->id, $this->order);
        $this->db->like('id_po', $q);
	$this->db->or_like($this->table.'.no_po', $q);
	$this->db->or_like($this->table.'.id_subcount', $q);
	$this->db->or_like($this->table.'.id_proyek', $q);
	$this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        $this->db->delete($this->table);
    }
	function delete_bypo($id)
    {
        $this->db->where($this->table.'.id_po', $id);
        $this->db->delete($this->table);
    }

}

/* End of file Po_model.php */
/* Location: ./application/models/Po_model.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-07-02 16:46:00 */
/* http://harviacode.com */